Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyPairGenerator.EC

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--java.security.KeyPairGenerator
                  |
                  +--org.bouncycastle.jce.provider.JDKKeyPairGenerator
                        |
                        +--org.bouncycastle.jce.provider.JDKKeyPairGenerator.EC

Direct Known Subclasses:
  JDKKeyPairGenerator.ECDH, JDKKeyPairGenerator.ECDHC, JDKKeyPairGenerator.ECDSA, JDKKeyPairGenerator.ECGOST3410

Enclosing class:
  JDKKeyPairGenerator

public static class JDKKeyPairGenerator.EC
extends JDKKeyPairGenerator

Inner classes inherited from class org.bouncycastle.jce.provider.JDKKeyPairGenerator
`JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.EC, JDKKeyPairGenerator.ECDH, JDKKeyPairGenerator.ECDHC, JDKKeyPairGenerator.ECDSA, JDKKeyPairGenerator.ECGOST3410, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA`

Constructor Summary
`JDKKeyPairGenerator.EC()`
`JDKKeyPairGenerator.EC(java.lang.String algorithm)`

Method Summary
`java.security.KeyPair` | `generateKeyPair()`
`void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` | `initialize(int strength, java.security.SecureRandom random)`

Methods inherited from class java.security.KeyPairGenerator
`genKeyPair, getAlgorithm, getInstance, getInstance, getProvider, initialize, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyPairGenerator.EC

    public JDKKeyPairGenerator.EC()

### JDKKeyPairGenerator.EC

    public JDKKeyPairGenerator.EC(java.lang.String algorithm)

Method Detail

### initialize

    public void initialize(int strength,
                           java.security.SecureRandom random)

  Overrides:
    `initialize` in class `JDKKeyPairGenerator`

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `java.security.KeyPairGenerator`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Overrides:
    `generateKeyPair` in class `JDKKeyPairGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD